<div class="cost">
  <p class="cost__description">
    Add different costs for this credit offer. You can add as much as seven (7)
    costs for this credit offer.
  </p>
  <form class="container-form" [formGroup]="form" (ngSubmit)="onSubmit()">
    <layout-setting-item
      title="Type of cost:"
      description="Select the type of cost to be added to this credit offer. Choose from our default costs or create a new one."
    >
      <div class="form">
        <mo-drop-down
          formControlName="name"
          defaultOptionName="Select"
          [options]="typeOfCostOptions"
          [colorTemplate]="COLOR_TEMPLATE.PRIMARY"
        ></mo-drop-down>
      </div>
    </layout-setting-item>
    <layout-setting-item
      title="Fixed or percent:"
      description="Select if this cost will be issued as a fixed amount or as a percentage of the capital balance. "
    >
      <div class="form__row">
        <mo-radio
          label="Fixed"
          name="cost_fixed_or_percent"
          id="cost_fixed_or_percent_fixed"
          value="Fixed"
          formControlName="fixed_or_percent"
        ></mo-radio>
        <span>Or</span>
        <mo-radio
          label="Percent"
          name="cost_fixed_or_percent"
          id="cost_fixed_or_percent_percent"
          value="Percent"
          formControlName="fixed_or_percent"
        ></mo-radio>
        <ng-container *ngIf="!!form.get('fixed_or_percent').value">
          <span *ngIf="form.get('fixed_or_percent').value === 'Fixed'">$</span>
          <mo-input
            placeholder="#"
            [type]="INPUT_TYPE.NUMBER"
            formControlName="fixed_or_percent_value"
            [required]="false"
          ></mo-input>
          <span>
            {{ form.get("fixed_or_percent").value === "Fixed" ? "Cop" : "%" }}
          </span>
        </ng-container>
      </div>
    </layout-setting-item>
    <layout-setting-item
      title="Tax:"
      description="If regulations apply, select to include a tax for this cost. If so, enter the respective tax fee."
    >
      <div class="form">
        <mo-radio
          label="Yes"
          name="cost_tax"
          id="cost_tax_yes"
          value="Yes"
          formControlName="tax"
        ></mo-radio>
        <mo-radio
          label="No"
          name="cost_tax"
          id="cost_tax_no"
          value="No"
          formControlName="tax"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      *ngIf="form.get('tax').value === 'Yes'"
      description="Tax fee"
      [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
    >
      <div class="form__row">
        <mo-input
          placeholder="#"
          [type]="INPUT_TYPE.NUMBER"
          formControlName="tax_fee"
          [required]="false"
        ></mo-input>
        <span>%</span>
      </div>
    </layout-setting-item>

    <div class="form__buttons">
      <ng-container *ngIf="!costCharge">
        <mo-button
          (click)="onCancel()"
          text="Cancel"
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_DEFAULT"
          [size]="SIZES.MD"
        >
        </mo-button>
        <mo-button
          text="Add charge"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
          [isDisabled]="form.invalid"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
        >
        </mo-button>
      </ng-container>
      <ng-container *ngIf="costCharge">
        <mo-button
          (click)="onRemoveCharges()"
          text="Remove charge"
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY_DARK"
          [size]="SIZES.MD"
        >
        </mo-button>
      </ng-container>
    </div>
  </form>
</div>
<!-- TODO PENDING CREATE "Add new cost" FUNCTION -->
